net.dontdrinkandroot.wicket.component.basic

## Enum Heading.Level

- java.lang.Object
- - java.lang.Enum<Heading.Level>
  - - net.dontdrinkandroot.wicket.component.basic.Heading.Level

All Implemented Interfaces:
  Serializable, Comparable<Heading.Level>

Enclosing class:
  Heading

    public static enum Heading.Level
    extends Enum<Heading.Level>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`H1`
`H2`
`H3`
`H4`
`H5`
`H6`

### Method Summary

Methods
`static Heading.Level` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Heading.Level[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### H1

    public static final Heading.Level H1

#### H2

    public static final Heading.Level H2

#### H3

    public static final Heading.Level H3

#### H4

    public static final Heading.Level H4

#### H5

    public static final Heading.Level H5

#### H6

    public static final Heading.Level H6

### Method Detail

#### values

    public static Heading.Level[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Heading.Level c : Heading.Level.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Heading.Level valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null